org.faceless.pdf2.viewer2.feature

## Class CropPage

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.feature.CropPage

- All Implemented Interfaces:
    DocumentPanelListener, AreaSelectionAction

      public class CropPage
      extends ViewerFeature
      implements AreaSelectionAction, DocumentPanelListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CropPage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `documentUpdated(DocumentPanelEvent event)` Called when an `DocumentPanelEvent` is raised
    `String` | `getDescription()` Get the name of this Action, to appear in the popup menu.
    `void` | `initialize(PDFViewer viewer)` Called when the feature is first added to a viewer
    `boolean` | `isEnabled()` Indicates whether this action is enabled.
    `void` | `selectArea(PagePanel panel, Rectangle2D r)` Invoked when the area is selected.

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CropPage

          public CropPage()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Description copied from interface: `AreaSelectionAction`
      Indicates whether this action is enabled.
      Specified by:
        `isEnabled` in interface `AreaSelectionAction`

    - #### initialize

          public void initialize(PDFViewer viewer)

      Description copied from class: `ViewerFeature`
      Called when the feature is first added to a viewer
      Overrides:
        `initialize` in class `ViewerFeature`

    - #### documentUpdated

          public void documentUpdated(DocumentPanelEvent event)

      Description copied from interface: `DocumentPanelListener`
      Called when an `DocumentPanelEvent` is raised
      Specified by:
        `documentUpdated` in interface `DocumentPanelListener`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `AreaSelectionAction`
      Get the name of this Action, to appear in the popup menu.
      Specified by:
        `getDescription` in interface `AreaSelectionAction`

    - #### selectArea

          public void selectArea(PagePanel panel,
                                 Rectangle2D r)

      Description copied from interface: `AreaSelectionAction`
      Invoked when the area is selected.
      Specified by:
        `selectArea` in interface `AreaSelectionAction`
      Parameters:
        `panel` - the PagePanel the area was selected on
        `r` - the selected area

Copyright © 2001-2015 Big Faceless Organization